package com.ssj.service.kmt.exercisesys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2020/4/14
 */
public class AddOrEditExerciseReq extends BaseRequest {

    private static final long serialVersionUID = 6011152528578070581L;

    @ApiModelProperty(name = "exerciseBookId", value = "练习册id(此处传空则是新增，否则为编辑)", required = true)
    private String exerciseBookId;

    @ApiModelProperty(name = "url1", value = "练习册完整封面页", required = true)
    private String url1;

    @ApiModelProperty(name = "url2", value = "含印刷版次页", required = true)
    private String url2;

    @NotBlank
    @ApiModelProperty(name = "subject", value = "科目", required = true)
    private String subject;

    @NotBlank
    @ApiModelProperty(name = "grade", value = "年级", required = true)
    private String grade;

    @NotBlank
    @ApiModelProperty(name = "bookName", value = "练习册名字", required = true)
    private String bookName;

    @ApiModelProperty(name = "press", value = "出版社", required = true)
    private String press;

    @NotNull
    @ApiModelProperty(name = "version", value = "版本", required = true)
    private int version;

    @ApiModelProperty(name = "versionName", value = "版本名称", required = true)
    private String versionName;

    @NotNull
    @ApiModelProperty(name = "semester", value = "上下册(1:上，2：下)", required = true)
    private int semester;

    @ApiModelProperty(name = "printYear", value = "印刷年份", required = true)
    private String printYear;

    @NotNull
    @ApiModelProperty(name = "useYear", value = "使用年份", required = true)
    private int useYear;

    @ApiModelProperty(name = "progress", value = "对接进度", required = true)
    private String progress;

    @ApiModelProperty(name = "libList", value = "关联机构列表", required = true)
    private List<String> libList;

    @ApiModelProperty(name = "bookType", value = "练习册类型(0整本,1上半本，2下半本，3完成不同的页码的新版练习册)", required = true)
    private int bookType;

    @ApiModelProperty(name="priority",value = "优先级")
    private String priority;

    @ApiModelProperty(name="assignedBatch",value = "归属批次")
    private String assignedBatch;

    public int getBookType() {
        return bookType;
    }

    public void setBookType(int bookType) {
        this.bookType = bookType;
    }

    public String getExerciseBookId() {
        return exerciseBookId;
    }

    public void setExerciseBookId(String exerciseBookId) {
        this.exerciseBookId = exerciseBookId;
    }

    public String getUrl1() {
        return url1;
    }

    public void setUrl1(String url1) {
        this.url1 = url1;
    }

    public String getUrl2() {
        return url2;
    }

    public void setUrl2(String url2) {
        this.url2 = url2;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getPress() {
        return press;
    }

    public void setPress(String press) {
        this.press = press;
    }

    public int getVersion() {
        return version;
    }

    public void setVersion(int version) {
        this.version = version;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public int getSemester() {
        return semester;
    }

    public void setSemester(int semester) {
        this.semester = semester;
    }

    public String getPrintYear() {
        return printYear;
    }

    public void setPrintYear(String printYear) {
        this.printYear = printYear;
    }

    public int getUseYear() {
        return useYear;
    }

    public void setUseYear(int useYear) {
        this.useYear = useYear;
    }

    public String getProgress() {
        return progress;
    }

    public void setProgress(String progress) {
        this.progress = progress;
    }

    public List<String> getLibList() {
        return libList;
    }

    public void setLibList(List<String> libList) {
        this.libList = libList;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public String getAssignedBatch() {
        return assignedBatch;
    }

    public void setAssignedBatch(String assignedBatch) {
        this.assignedBatch = assignedBatch;
    }
}
